0
Answered

How can I tell what phones are compatible

budbkind 9 years ago updated by Jona (Lead Developer) 9 years ago 0

Answer

Answer
Answered
All Android devices running OS version 1.5 and higher are supported.
Answer
Answered
All Android devices running OS version 1.5 and higher are supported.